# Repzo API - Inventory Adjustment Reason

OpenAPI specification for Repzo Inventory Adjustment Reason endpoints.

**Version:** 1.0.0

## Overview

### Base URLs

- \*\*\*\*: `https://sv.api.repzo.me`

## Authentication

No authentication required.

## Endpoints

### `/inventory-adjustment-reason`

#### GET /inventory-adjustment-reason

**Summary:** Find inventory adjustment reasons

##### Parameters

| Name | Location | Type | Required | Description |
| ---- | -------- | ---- | -------- | ----------- |

| `params` | query | object | No | Query parameters for filtering inventory adjustment reasons |

##### Responses

**200** - A list of inventory adjustment reasons

Content-Type: `application/json`

---

#### POST /inventory-adjustment-reason

**Summary:** Create an inventory adjustment reason

##### Request Body

**Content Types:**

- `application/json`

##### Responses

**201** - Inventory adjustment reason created

Content-Type: `application/json`

---

### `/inventory-adjustment-reason/{id}`

#### GET /inventory-adjustment-reason/{id}

**Summary:** Get an inventory adjustment reason by ID

##### Parameters

| Name | Location | Type | Required | Description |
| ---- | -------- | ---- | -------- | ----------- |

| `id` | path | string | Yes | No description |

##### Responses

**200** - Inventory adjustment reason details

Content-Type: `application/json`

---

#### PUT /inventory-adjustment-reason/{id}

**Summary:** Update an inventory adjustment reason

##### Parameters

| Name | Location | Type | Required | Description |
| ---- | -------- | ---- | -------- | ----------- |

| `id` | path | string | Yes | No description |

##### Request Body

**Content Types:**

- `application/json`

##### Responses

**200** - Inventory adjustment reason updated

Content-Type: `application/json`

---

#### DELETE /inventory-adjustment-reason/{id}

**Summary:** Remove an inventory adjustment reason

##### Parameters

| Name | Location | Type | Required | Description |
| ---- | -------- | ---- | -------- | ----------- |

| `id` | path | string | Yes | No description |

##### Responses

**200** - Inventory adjustment reason removed

Content-Type: `application/json`

---

## Data Models

### InventoryAdjustmentReasonFindResult

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `data` | array | No | No description |

| `meta` | object | No | No description |

### InventoryAdjustmentReasonCreateBody

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `name` | string | No | No description |

| `type` | string | No | No description |

| `disabled` | boolean | No | No description |

### InventoryAdjustmentReasonCreateResult

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `data` | object | No | No description |

### InventoryAdjustmentReasonGetResult

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `data` | object | No | No description |

### InventoryAdjustmentReasonUpdateBody

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `name` | string | No | No description |

| `type` | string | No | No description |

| `disabled` | boolean | No | No description |

### InventoryAdjustmentReasonUpdateResult

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `data` | object | No | No description |

### InventoryAdjustmentReasonRemoveResult

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `success` | boolean | No | No description |

### InventoryAdjustmentReason

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `_id` | string | No | No description |

| `name` | string | No | No description |

| `type` | string | No | No description |

| `disabled` | boolean | No | No description |

| `createdAt` | string | No | No description |

| `updatedAt` | string | No | No description |

## TypeScript Usage

See [inventory-adjustment-reason-examples.md](./inventory-adjustment-reason-examples.md) for detailed TypeScript usage examples.
